Bug 538799 - Segfault inside gtk_style_realize [ClearlooksStyle] whilst running mumbles
Segfault inside gtk_style_realize [ClearlooksStyle] whilst running mumbles
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:9c4c1e2e597412d6e8b60482af4...
:
: 539487 539828 545740 547010 547059 554086 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-19 07:57 EST by Tim Waugh
Modified: 2010-12-03 22:10 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:10:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.34 KB, text/plain)
2009-11-19 07:57 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2009-11-19 07:57:47 EST
abrt detected a crash.

Comment: Nothing special was happening at the time.  I did have pidgin running, so perhaps it was a mumble generated from that.
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/mumbles
component: python
executable: /usr/bin/python
kernel: 2.6.31.5-127.fc12.x86_64
package: python-2.6.2-2.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 Tim Waugh 2009-11-19 07:57:51 EST
Created attachment 370330 [details]
File: backtrace
Comment 2 Dave Malcolm 2009-11-19 11:48:01 EST
Are you able to reproduce this?

What graphical theme were you using?

Looking at the backtrace, looks like a segmentation fault in thread 1 inside gtk_settings_notify (frame 5); it looks like mumbles was trying to respond to a change to the graphical theme settings, and that the ClearLooksStyle backend may have been trying to dereference a NULL pointer.

Reassigning component from "python" to "gtk2" (please reassign as appropriate) and updating the Summary.
Comment 3 Tim Waugh 2009-11-20 06:02:09 EST
It's the ClearLooks theme (with Nodoka window border).  The mumbles theme is 'glass'.

Yes, by changing the theme a few times I can reproduce it (bug #539487).
Comment 4 Tim Waugh 2009-11-20 06:02:48 EST
*** Bug 539487 has been marked as a duplicate of this bug. ***
Comment 5 Dave Malcolm 2009-11-21 09:37:21 EST
*** Bug 539828 has been marked as a duplicate of this bug. ***
Comment 6 Dave Malcolm 2009-12-09 17:49:09 EST
*** Bug 545740 has been marked as a duplicate of this bug. ***
Comment 7 Dave Malcolm 2009-12-14 11:42:51 EST
*** Bug 547010 has been marked as a duplicate of this bug. ***
Comment 8 Dave Malcolm 2009-12-14 11:46:47 EST
*** Bug 547059 has been marked as a duplicate of this bug. ***
Comment 9 Dave Malcolm 2010-01-11 16:18:48 EST
*** Bug 554086 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2010-11-04 02:04:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-03 22:10:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.